[Rubygems-developers] Comeback of auth httpproxy problem

Jim Weirich jim.weirich at gmail.com
Fri Feb 2 07:36:45 EST 2007


On 2/2/07, Anatol Pomozov <anatol.pomozov at gmail.com> wrote:
> I dig into this problem and found that it happens because new version of
> rubygems do not contain open-uri library. And current version uses open-uri
> from standard package.

Thanks.  As I am now working behind a corporate firewall of superhuman
strength, I appreciate this patch.  Now, if we could get it to work
with a proxy using NTLM authentication, even I would be happy.

This is a easy thing to miss.  I will put a challenge out there for
someone to come up with a good test of the proxy functionality so that
we don't accidently lose this feature again.

-- 
-- 
-- Jim Weirich    jim at weirichhouse.org     http://onestepback.org
-----------------------------------------------------------------
"Beware of bugs in the above code; I have only proved it correct,
not tried it." -- Donald Knuth (in a memo to Peter van Emde Boas)


More information about the Rubygems-developers mailing list